package com.engine.organization.entity.employee.vo;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/05/31
 * @version: 1.0
 */

import com.cloudstore.eccom.pc.table.WeaTableType;
import com.engine.organization.annotation.OrganizationTable;
import com.engine.organization.annotation.OrganizationTableColumn;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@OrganizationTable(pageId = "80e7830c-18e8-4e14-8241-18821195ef31",
        fields = "t.id," +
                "t.lastname," +
                "t.workcode," +
                "t.sex," +
                "t.status," +
                "t.managerid," +
                "t.jobtitle," +
                "t.loginid," +
                "t.seclevel",
        fromSql = "FROM hrmresource t ",
        orderby = "id",
        primarykey = "id",
        tableType = WeaTableType.NONE
)
public class EmployeeTableVO {

    @OrganizationTableColumn(column = "id", display = false)
    private Long id;

    @OrganizationTableColumn(text = "姓名", width = "10%", column = "lastname")
    private String lastname;

    @OrganizationTableColumn(text = "编号", width = "10%", column = "workcode")
    private String workcode;

    @OrganizationTableColumn(text = "性别", width = "10%", column = "sex",transmethod = "com.engine.organization.transmethod.JobTransMethod.getSexName")
    private String sex;

    @OrganizationTableColumn(text = "直接上级", width = "10%", column = "managerid",transmethod = "com.engine.organization.transmethod.ManagerDetachTransMethod.getManagerName")
    private String managerid;

    @OrganizationTableColumn(text = "岗位", width = "10%", column = "jobtitle",transmethod = "com.engine.organization.transmethod.JobTransMethod.getJobTitleName")
    private String jobtitle;

    @OrganizationTableColumn(text = "登录名", width = "10%", column = "loginid")
    private String loginid;

    @OrganizationTableColumn(text = "安全级别", width = "10%", column = "seclevel")
    private String seclevel;


}
